# vb.metatag
Read and write metadata tags for media files from inside of MaxMSP. Based on "taglib": https://taglib.org/ 
Currently it supports both ID3v1 and ID3v2 for MP3 files, comments in FLAC, mp4, aif and wav files.

This is based on the original 'metatag' object by Jeremy Bernstein, https://github.com/jeremybernstein/metatag

A compiled object for macos (x86/arm64) can be found here: https://vboehm.net/downloads



## Installing

Move/copy the package to `~/Documents/Max 8/Packages`.

Move/copy the `tag.framework` from `vb.metatag/source/libs/taglib-build` to `/Library/Frameworks`

Launch Max.



## Building

### Mac

You can build on the command line using Makefiles, or you can generate an Xcode project and use the GUI to build.

- Xcode:

  ```
  cmake -G Xcode ..
  cmake --build . --config 'Release'
  ```

  or, instead of the second step, open the Xcode project and use the GUI.

- Make:

  ```
  cmake ..
  cmake --build . --config 'Release'
  ```

  Note that the Xcode project is preferrable because it is able to substitute values for e.g. the Info.plist files in your builds.
